-- phpMyAdmin SQL Dump
-- version 3.0.0-alpha
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Мар 23 2009 г., 15:13
-- Версия сервера: 5.0.51
-- Версия PHP: 5.2.6-1+lenny2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `ant`
--

-- --------------------------------------------------------

--
-- Структура таблицы `arch`
--

CREATE TABLE IF NOT EXISTS `arch` (
  `arch_id` int(2) NOT NULL auto_increment,
  `arch` varchar(10) default NULL,
  PRIMARY KEY  (`arch_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `arch`
--

INSERT INTO `arch` (`arch_id`, `arch`) VALUES
(1, 'i386'),
(2, 'amd64');

-- --------------------------------------------------------

--
-- Структура таблицы `arch2rep`
--

CREATE TABLE IF NOT EXISTS `arch2rep` (
  `id` int(11) NOT NULL auto_increment,
  `arch_id` int(2) default NULL,
  `rep_id` int(5) default NULL,
  PRIMARY KEY  (`id`),
  KEY `arch_id` (`arch_id`),
  KEY `rep_id` (`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;


-- --------------------------------------------------------

--
-- Структура таблицы `distribution`
--

CREATE TABLE IF NOT EXISTS `distribution` (
  `dist_id` int(5) NOT NULL auto_increment,
  `distname` varchar(25) default NULL,
  `distua` varchar(50) NOT NULL,
  `disttype` int(1) NOT NULL,
  PRIMARY KEY  (`dist_id`),
  KEY `disttype` (`disttype`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Структура таблицы `dtype`
--

CREATE TABLE IF NOT EXISTS `dtype` (
  `type_id` int(1) NOT NULL auto_increment,
  `type` char(3) character set utf8 NOT NULL,
  PRIMARY KEY  (`type_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `dtype`
--

INSERT INTO `dtype` (`type_id`, `type`) VALUES
(1, 'deb'),
(2, 'rpm');

-- --------------------------------------------------------

--
-- Структура таблицы `interfaces`
--

CREATE TABLE IF NOT EXISTS `interfaces` (
  `if_id` int(2) NOT NULL auto_increment,
  `interface` varchar(25) NOT NULL,
  `interfaceinfo` varchar(100) NOT NULL,
  PRIMARY KEY  (`if_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `interfaces`
--

INSERT INTO `interfaces` (`if_id`, `interface`, `interfaceinfo`) VALUES
(1, 'classic', 'Классический'),
(2, 'modern', 'Современный'),
(3, 'telepathy', 'Телепатический');

-- --------------------------------------------------------

--
-- Структура таблицы `owner`
--

CREATE TABLE IF NOT EXISTS `owner` (
  `id` int(11) NOT NULL auto_increment,
  `login` char(32) default NULL,
  `passwd` char(32) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `owner`
--

INSERT INTO `owner` (`id`, `login`, `passwd`) VALUES
(1, 'admin', 'b167f5e9e5794a7e1eaca776fed7afb9');

-- --------------------------------------------------------

--
-- Структура таблицы `repository`
--

CREATE TABLE IF NOT EXISTS `repository` (
  `rep_id` int(5) NOT NULL auto_increment,
  `repname` varchar(20) default NULL,
  `repdescribe` text,
  `scheme_id` int(2) NOT NULL,
  `rtype_id` int(2) NOT NULL,
  PRIMARY KEY  (`rep_id`),
  KEY `scheme` (`scheme_id`),
  KEY `rtype_id` (`rtype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Структура таблицы `rtype`
--

CREATE TABLE IF NOT EXISTS `rtype` (
  `rtype_id` int(2) NOT NULL auto_increment,
  `rtype` varchar(25) NOT NULL,
  PRIMARY KEY  (`rtype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `rtype`
--

INSERT INTO `rtype` (`rtype_id`, `rtype`) VALUES
(1, 'Базовый'),
(2, 'Дополнительный'),
(3, 'Extra (добавочный)');

-- --------------------------------------------------------

--
-- Структура таблицы `scheme`
--

CREATE TABLE IF NOT EXISTS `scheme` (
  `scheme_id` int(2) NOT NULL auto_increment,
  `scheme` varchar(200) NOT NULL,
  PRIMARY KEY  (`scheme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `scheme`
--

INSERT INTO `scheme` (`scheme_id`, `scheme`) VALUES
(4, '{TYPE} {PROTO}{URL}/{REP} {DIST} {SECT}'),
(5, '{TYPE} {PROTO}{URL}/{REP} {DIST}-proposed-updates {SECT}'),
(6, '{TYPE} {PROTO}{URL}/{REP} {DIST}/updates {SECT}'),
(7, '{TYPE} {PROTO}{URL}/{REP} {DIST}/volatile {SECT}'),
(8, '{TYPE} {PROTO}{URL}/{REP} {DIST}/volatile-sloppy {SECT}'),
(9, '{TYPE} {PROTO}{URL}/{REP} {DIST}-backports {SECT}'),
(10, '{TYPE} {PROTO}{URL}/{REP} {DIST}-updates {SECT}'),
(11, '{TYPE} {PROTO}{URL}/{REP} {DIST}-security {SECT}');

-- --------------------------------------------------------

--
-- Структура таблицы `sect2dist`
--

CREATE TABLE IF NOT EXISTS `sect2dist` (
  `id` int(10) NOT NULL auto_increment,
  `sect_id` int(3) NOT NULL,
  `dist_id` int(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `sect_id` (`sect_id`,`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Структура таблицы `sect2rep`
--

CREATE TABLE IF NOT EXISTS `sect2rep` (
  `id` int(10) NOT NULL auto_increment,
  `sect_id` int(3) NOT NULL,
  `rep_id` int(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `sect_id` (`sect_id`,`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Структура таблицы `section`
--

CREATE TABLE IF NOT EXISTS `section` (
  `sect_id` int(3) NOT NULL auto_increment,
  `sectname` varchar(25) NOT NULL,
  `sectinfo` text NOT NULL,
  PRIMARY KEY  (`sect_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `section`
--

INSERT INTO `section` (`sect_id`, `sectname`, `sectinfo`) VALUES
(1, 'main', 'Основной раздел, в котором собраны пакеты ПО только под свободными лицензиями.'),
(4, 'restricted', ''),
(5, 'universe', ''),
(2, 'contrib', 'Пакеты в этой части распространяются владельцем авторских прав на условиях свободной лицензии, но зависят от несвободного программного обеспечения.'),
(6, 'multiverse', ''),
(3, 'non-free', 'Лицензии пакетов в этой части содержат условия, ограничивающие использование или распространение ПО'),
(7, 'partner', '');

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `opt_id` int(2) NOT NULL auto_increment,
  `opt` varchar(50) NOT NULL,
  `optvalue` varchar(200) NOT NULL,
  PRIMARY KEY  (`opt_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `settings`
--

INSERT INTO `settings` (`opt_id`, `opt`, `optvalue`) VALUES
(1, 'proto', 'http://'),
(2, 'url', 'apt.nix-files.org.ru'),
(3, 'version', '0.2RC4'),
(4, 'interface', 'telepathy');

-- --------------------------------------------------------

--
-- Структура таблицы `ver2rep`
--

CREATE TABLE IF NOT EXISTS `ver2rep` (
  `id` int(11) NOT NULL auto_increment,
  `ver_id` int(5) default NULL,
  `rep_id` int(5) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ver_id` (`ver_id`),
  KEY `rep_id` (`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Структура таблицы `version`
--

CREATE TABLE IF NOT EXISTS `version` (
  `version_id` int(5) NOT NULL auto_increment,
  `dist_id` int(5) default NULL,
  `vname` varchar(25) default NULL,
  `version` varchar(10) NOT NULL,
  `vcodename` varchar(10) default NULL,
  PRIMARY KEY  (`version_id`),
  KEY `dist_id` (`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

